#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/rc.d/rc.keepalived.new
config etc/keepalived/keepalived.conf.new
config etc/keepalived/samples/client.pem.new
config etc/keepalived/samples/dh1024.pem.new
config etc/keepalived/samples/keepalived.conf.HTTP_GET.port.new
config etc/keepalived/samples/keepalived.conf.SMTP_CHECK.new
config etc/keepalived/samples/keepalived.conf.SSL_GET.new
config etc/keepalived/samples/keepalived.conf.fwmark.new
config etc/keepalived/samples/keepalived.conf.inhibit.new
config etc/keepalived/samples/keepalived.conf.misc_check.new
config etc/keepalived/samples/keepalived.conf.misc_check_arg.new
config etc/keepalived/samples/keepalived.conf.sample.new
config etc/keepalived/samples/keepalived.conf.status_code.new
config etc/keepalived/samples/keepalived.conf.track_interface.new
config etc/keepalived/samples/keepalived.conf.virtual_server_group.new
config etc/keepalived/samples/keepalived.conf.virtualhost.new
config etc/keepalived/samples/keepalived.conf.vrrp.lvs_syncd.new
config etc/keepalived/samples/keepalived.conf.vrrp.new
config etc/keepalived/samples/keepalived.conf.vrrp.routes.new
config etc/keepalived/samples/keepalived.conf.vrrp.scripts.new
config etc/keepalived/samples/keepalived.conf.vrrp.static_ipaddress.new
config etc/keepalived/samples/keepalived.conf.vrrp.sync.new
config etc/keepalived/samples/root.pem.new
config etc/keepalived/samples/sample.misccheck.smbcheck.sh.new

